For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList all organisations
      • POSTCreate an organisation
      • GETGet organisation by ID
      • PUTUpdate organisation (full)
      • DELDelete organisation
      • PATCHUpdate organisation (partial)
Calculator
LogoLogo
EndpointsOrganisations

List all organisations

GET
https://api.finput.com.au/api/v1/organisations
GET
/api/v1/organisations
$curl https://api.finput.com.au/api/v1/organisations \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": 1,
4 "name": "name",
5 "type": "f",
6 "abn": "abn",
7 "created_at": "2024-01-15T09:30:00Z",
8 "updated_at": "2024-01-15T09:30:00Z"
9 }
10]

Returns all organisations (financiers, brokers, and user organizations).

Was this page helpful?
Previous

Create an organisation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

List of organisations
idinteger
namestring
typeenum

Organization type:

  • f - Financier
  • b - Broker
  • u - User
Allowed values:
abnstring
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z